# File generated by tdevelop's qmake manager. 
# ------------------------------------------- 
# Subdir relative project main directory: ./kjsembed
# Target is a library:  

include(../qjsembed.pri)

LIBS += -L../kjs -lkjs \
        -L../builtins -lbuiltins \
        -L../qtbindings -lqtbindings \
	-L../bindings -lbindings \
        -ltqui

win32:LIBS += -L../pcre -lpcre
unix:LIBS += -lpcreposix -lpcre

HEADERS += ../kjsembedpart.h \
           ../kjsembedpart_imp.h \
           ../customobject_imp.h \
           ../design.h \
           ../jsbinding.h \
           ../jsbindingplugin.h \
           ../jsbuiltin.h \
           ../jsbuiltin_imp.h \
           ../jseventmapper.h \
           ../jseventutils.h \
           ../jsfactory.h \
           ../jsfactory_imp.h \
           ../jsobjecteventproxy.h \
           ../jsobjectproxy.h \
           ../jsobjectproxy_imp.h \
           ../jsopaqueproxy.h \
           ../jsopaqueproxy_imp.h \
           ../jsproxy.h \
           ../jsproxy_imp.h \
           ../jssecuritypolicy.h \
           ../jsvalueproxy.h \
           ../jsvalueproxy_imp.h \
           ../slotproxy.h \
           ../slotutils.h \
           ../global.h \
           ../qtstubs.h \
	   ../jsbuiltinproxy.h

SOURCES += ../jsobjectproxy.cpp \
           ../jsobjectproxy_imp.cpp \
           ../customobject_imp.cpp \
           ../jsbinding.cpp \
           ../jsbindingplugin.cpp \
           ../jsbuiltin.cpp \
           ../jsbuiltin_imp.cpp \
           ../jseventmapper.cpp \
           ../jseventutils.cpp \
           ../jsfactory.cpp \
           ../jsfactory_imp.cpp \
           ../jsobjecteventproxy.cpp \
           ../jsopaqueproxy.cpp \
           ../jsopaqueproxy_imp.cpp \
           ../jsproxy.cpp \
           ../jsproxy_imp.cpp \
           ../jssecuritypolicy.cpp \
           ../jsvalueproxy.cpp \
           ../jsvalueproxy_imp.cpp \
           ../slotproxy.cpp \
           ../slotutils.cpp \
           ../global.cpp \
           ../qtstubs.cpp \
           ../kjsembedpart.cpp \
           ../kjsembedpart_imp.cpp \
	   ../jsbuiltinproxy.cpp


INCLUDEPATH += ../.. .. .

win32:DEFINES += KJSEMBED_DLL KJSEMBED_MAKE_DLL

CONFIG += qt 

win32:CONFIG += shared dll
unix:CONFIG += sharedlib

TEMPLATE = lib
TARGET = qjsembed

DESTDIR = ../bin
